/*
 * Copyright (c) 2010 Ant Kutschera, maxant
 * 
 * This file is part of Ant Kutschera's blog.
 * 
 * This is free software: you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Lesser GNU General Public License for more details.
 * You should have received a copy of the Lesser GNU General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */
package uk.co.maxant.test.services;

import javax.interceptor.AroundInvoke;
import javax.interceptor.InvocationContext;

/**
 * an aspect (AOP) for measuring performance.
 */
public class PerformanceInterceptor {

	//needs this, otherwise wont run at runtime!
	public PerformanceInterceptor() {
	}

	/**
	 * this method is an aspect which has been configured to 
	 * be called around the execute method, using the 
	 * annotation @Inteceptors.
	 */
	@AroundInvoke
	public Object intercept(InvocationContext ctx) throws Exception {
		long start = System.nanoTime();
		Object o = ctx.proceed();
		System.out.println("executed " + ctx.getMethod().getName() + 
				" in " + ((System.nanoTime()-start)/1000000.0) + "ms");
		return o;
	}

}
