/*
 * Copyright (c) 2010 Ant Kutschera, maxant
 * 
 * This file is part of Ant Kutschera's blog.
 * 
 * This is free software: you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Lesser GNU General Public License for more details.
 * You should have received a copy of the Lesser GNU General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */
package uk.co.maxant.test.services;

import java.util.Map;

import javax.xml.ws.BindingProvider;

import uk.co.maxant.test.ws.PricingSystem;
import uk.co.maxant.test.ws.PricingSystemService;

public final class PricingSystemFactory {

	private PricingSystemFactory() {
	}

	/**
	 * creates a new instance of the proxy to the endpoint.
	 */
	public static PricingSystem createPricingSystem() {
    	//call a web service... create the endpoint proxy
    	PricingSystemService pricingSystem = new PricingSystemService();
    	PricingSystem proxy = pricingSystem.getPricingSystemPort();

    	//the wsdl cannot contain SSL links, otherwise we cannot 
    	//generate the client code. but seriously, we want a secure connection!
    	//not only that, every environment to which we deploy requires that 
    	//we call our partners corresponding test/prod system! so
    	//we need to set the wsdl accordingly.
    	Map<String, Object> map = ((BindingProvider)proxy).getRequestContext();
        String url = "https://localhost:8181/SevenWS/PricingSystemService";
        map.put(BindingProvider.ENDPOINT_ADDRESS_PROPERTY, url);
        
        return proxy;
	}
}
